Bug 857829 - [XML-RPC] TestCase.detach_bug() doesn't work
[XML-RPC] TestCase.detach_bug() doesn't work
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.8.1
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 03:13 EDT by Xin Gao
Modified: 2015-12-01 00:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xin Gao 2012-09-17 03:13:40 EDT
Description of problem:
TestCase.detach_bug() doesn't work.

Version-Release number of selected component (if applicable):
tcms 3.8 on stage/production

How reproducible:


Steps to Reproduce:
1. TestCase.detach_bug(93023, 1234)
2.
3.
  
Actual results:
Fault: <Fault 1: "TypeError: remove_bug() got an unexpected keyword argument 'id'">

Expected results:
can remove bug from case.

Additional info:
Comment 1 jianchen 2012-09-20 23:05:41 EDT
This bug was fixed in tcms 3.8.1.
TestCase.detch_bug() params change object_pks to bug_ids.
Comment 2 Xin Gao 2012-10-10 03:58:07 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
TestCase.detach_bug(93023, 1234)

Actual result:
works well now.

Note You need to log in before you can comment on or make changes to this bug.